<Cabbage>
form size(350,100), caption("Wagon Wheel Effect Notes")
button    bounds( 10,10,60,30), text("Off","On"), channel("OnOff")
numberbox bounds( 80, 5,70,30), range(0,1000,6,1,0.0001), channel("SHrate"), text("S&H.Rate")
numberbox bounds(160, 5,70,30), range(0,1000,20.25,1,0.0001), channel("LFOrate"), text("LFO.Rate")
numberbox bounds(160,40,70,30), range(0,1000,55.0625,1,0.0001), channel("LFOrate2"), text("LFO.Rate 2")

</Cabbage>

<CsoundSynthesizer>

<CsOptions>
-n -dm0
</CsOptions>

<CsInstruments>

sr = 44100
ksmps = 16
nchnls = 2
0dbfs = 1

giTri		ftgen	0,0,4097,7,0,2048,1,2048,0
giSqu		ftgen	0,0,4097,7,1,2048,1,0,0,2048,0

instr	1
 kOnOff		chnget	"OnOff"
 gkSHrate	chnget	"SHrate"
 gkLFOrate	chnget	"LFOrate"
 gkLFOrate2	chnget	"LFOrate2"
 if trigger(kOnOff,0.5,0)==1 then		; turn on
  event	"i",2,0,-1
 elseif trigger(kOnOff,0.5,1)==1 then		; turn off
  turnoff2	2,0,0
 endif
endin

instr	2
 ktrig	metro		gkSHrate

 
 aNdx	poscil3		5.999, gkLFOrate, giTri
 aNdx	samphold	aNdx, ktrig 
 kNdx	downsamp	aNdx

 aamp	poscil3		1, gkLFOrate2, giSqu
 aamp	samphold	(aamp*0.7) + 0.3, ktrig 
 kamp	downsamp	aamp

 schedkwhen	ktrig,0,0,3,0,0.1,int(kNdx),kamp,kNdx
endin


giStiffs[]	fillarray	37,  50,  60,  70,  80, 90
giDurs[]	fillarray	 2, 1.8, 1.6, 1.4, 1.2,  1

instr	3
 p3	=	giDurs[p4]
 iK	=	giStiffs[p4]
 print	p6
 iK	=	37*(1+(2/(p6+1)))
	asig 	barmodel	2, 2, iK, 0.5, 0, p3, 0.4+rnd(0.2), 2000*p5, 0.07
	outs	asig, asig
endin

</CsInstruments>

<CsScore>
i 1 0 [3600*24*365]
</CsScore>

</CsoundSynthesizer>